/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumDatatype;
import de.ship.db.tables.VInputTypeDeDe;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VInputTypeDeDeRecord extends TableRecordImpl<VInputTypeDeDeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_input_type_de_de.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type_de_de.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.v_input_type_de_de.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type_de_de.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_input_type_de_de.has_valuelist</code>.
     */
    public void setHasValuelist(Boolean value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type_de_de.has_valuelist</code>.
     */
    public Boolean getHasValuelist() {
        return (Boolean) get(2);
    }

    /**
     * Setter for <code>common_dd.v_input_type_de_de.data_type</code>.
     */
    public void setDataType(EnumDatatype value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type_de_de.data_type</code>.
     */
    public EnumDatatype getDataType() {
        return (EnumDatatype) get(3);
    }

    /**
     * Setter for <code>common_dd.v_input_type_de_de.inputtype_descr</code>.
     */
    public void setInputtypeDescr(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type_de_de.inputtype_descr</code>.
     */
    public String getInputtypeDescr() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_input_type_de_de.lang_value</code>.
     */
    public void setLangValue(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_input_type_de_de.lang_value</code>.
     */
    public String getLangValue() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VInputTypeDeDeRecord
     */
    public VInputTypeDeDeRecord() {
        super(VInputTypeDeDe.V_INPUT_TYPE_DE_DE);
    }

    /**
     * Create a detached, initialised VInputTypeDeDeRecord
     */
    public VInputTypeDeDeRecord(LocalDateTime lastchange, Integer pk, Boolean hasValuelist, EnumDatatype dataType, String inputtypeDescr, String langValue) {
        super(VInputTypeDeDe.V_INPUT_TYPE_DE_DE);

        setLastchange(lastchange);
        setPk(pk);
        setHasValuelist(hasValuelist);
        setDataType(dataType);
        setInputtypeDescr(inputtypeDescr);
        setLangValue(langValue);
        resetChangedOnNotNull();
    }
}
